CGREEN-DEBUG(1)

NAME
cgreen-debug - start cgreen-runner under a debugger and break at a specific test

SYNOPSIS
cgreen-debug [OPTION...] LIBRARY TEST

DESCRIPTION
cgreen-debug is a script to start cgreen-runner under a debugger (primarily gdb), load a LIBRARY and break on a named TEST. Where LIBRARY is a filename of the shared library of Cgreen tests, usually .so, .dll or .dylib, depending on your platform. TEST is the name of a test in that library in the format <context>:<test_name>.

  OPTIONS

-h, --help
    Print some usage information and exit.

-d, --debugger debugger
    Instead of default (gdb) use debugger as the debugger. Allowed values are "gdb", "cgdb", "lldb".

SEE ALSO
cgreen(5) cgreen-runner(1)

The full documentation for cgreen-debug and the Cgreen framework is in the Cgreen manual available at GitHub (https://cgreen-devs.github.io/).